# dkim_set_margin()

[back to index]

SYNOPSIS

    #include <dkim.h>
    DKIM_STAT dkim_set_margin(
    	DKIM *dkim,
            int margin);
    );

Specifies the margin to be enforced on the signature being generated. By default, the fixed value `DKIM_HDRMARGIN` (75) is used.

DESCRIPTION

Called When | `dkim_set_margin()` can be called at any time prior to signature generation.

ARGUMENTS

Argument | Description
--- | ---
dkim | Message-specific signing handle, returned by `dkim_sign()`.
margin | The desired margin. A value of 0 suppresses all line wrapping.

RETURN VALUES

- DKIM_STAT_OK -- success
- DKIM_STAT_INVALID -- `dkim` referred to a verifying header rather than a signing header, `margin` was negative, or `dkim` referred to a signing handle which has already been handled by `dkim_eom()`

NOTES

- None.

Copyright (c) 2008 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2009-2011, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.